import type { App } from 'vue';
export { bTextDefaultProps, bTextStylePropNames } from './components/BText/prop';
export { bBasicBarChartDefaultProps, bBasicBarChartDefaultPropNames } from './components/BBasicBarChart/prop';
export { bHorizontalBarChartDefaultProps, bHorizontalBarChartDefaultPropNames } from './components/BHorizontalBarChart/prop';
export { bBasicLineChartDefaultProps, bBasicLineChartDefaultPropNames } from './components/BBasicLineChart/prop';
export type { BTextComponentProps } from './components/BText/prop';
export type { BBasicBarChartComponentProps } from './components/BBasicBarChart/prop';
export type { BHorizontalBarChartComponentProps } from './components/BHorizontalBarChart/prop';
export type { BBasicLineChartComponentProps } from './components/BBasicLineChart/prop';
export type { AllComponentProps } from './components/defaultProps';
import BText from './components/BText';
import BBasicBarChart from './components/BBasicBarChart';
import BHorizontalBarChart from './components/BHorizontalBarChart';
import BBasicLineChart from './components/BBasicLineChart';
declare const install: (app: App) => void;
export { BText, BBasicBarChart, BHorizontalBarChart, BBasicLineChart, install };
declare const _default: {
    install: (app: App<any>) => void;
};
export default _default;
